import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.awt.Font;
import java.awt.Color;
import java.awt.Graphics;

/**
 * Counter that displays a number with a text prefix.
 * 
 * @author Michael Kolling
 * @version 1.0.2
 */
public class Counter extends Actor
{
    private static final Color textColor = new Color(255, 255, 255);    
    private int valuePoints = 0;
    private int target = 0;
    private String text;
    private int stringLength;
    private final Font font = new Font("Bookman Old Style", Font.PLAIN,20);


    public Counter()
    {
        this("");
    }

    public Counter(String prefix)
    {
        text = prefix;
        GreenfootImage image = new GreenfootImage(200,200);
        image.setFont(font);
        image.setColor(textColor);        
        setImage(image);
        updateImagePoints();
    }
    
    public void act() 
    {
        setImage(getImage());
        if(valuePoints < target) 
        {
            valuePoints++;
            updateImagePoints();
        }
    }

    public void addPoints(int score)
    {
        target += score;
    }
    
    public void subtract(int score)
    {
        target -= score;
    }

    public int getValuePoints()
    {
        return valuePoints;
    }
    /**
     * Make the image
     */
    private void updateImagePoints()
    {
        GreenfootImage image = getImage();
        image.clear();
        image.drawString(String.valueOf(valuePoints), 135, 82);
    }
}