import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.awt.Color;
import java.awt.Font;
import java.util.Calendar;

/**
 * The ScoreBoard is used to display results on the screen. It can display some
 * text and several numbers.
 * 
 * @author M Kolling
 * @version 1.0
 */
public class ScoreBoard extends Actor
{
    public static final int WIDTH = 400;
    public static final int HEIGHT = 300;
    private final Font font = new Font("Copperplate Gothic Bold", Font.PLAIN,40);
    /**
     * Create a score board with dummy result for testing.
     */
    public ScoreBoard()
    {
    }

    /**
     * Create a score board for the final result.
     */
    public ScoreBoard(int points)
    {
        makeImage("YOU LOSE!", "Score:  ",points);
    }   

    /**
     * Make the score board image.
     */
    private void makeImage(String title, String Points, int score)
    {
        GreenfootImage image = new GreenfootImage(WIDTH, HEIGHT);
        image.setColor(new Color(0, 0, 0, 160));
        image.fillRect(0, 0, WIDTH, HEIGHT);
        image.setColor(new Color(255, 255, 255, 100));
        image.fillRect(5, 5, WIDTH-10, HEIGHT-10);
        image.setFont(font);
        image.setColor(Color.WHITE);
        image.drawString(title, 70, 80);
        image.drawString(Points + score, 100, 150);
        setImage(image);
    }
}
